<?xml version="1.0" encoding="utf-8"?>
<!-- Copyright (C) 2007 The Android Open Source Project

     Licensed under the Apache License, Version 2.0 (the "License");
     you may not use this file except in compliance with the License.
     You may obtain a copy of the License at
  
          http://www.apache.org/licenses/LICENSE-2.0
  
     Unless required by applicable law or agreed to in writing, software
     distributed under the License is distributed on an "AS IS" BASIS,
     WITHOUT WARRANTIES OR CONDITIONS OF ANY KIND, either express or implied.
     See the License for the specific language governing permissions and
     limitations under the License.
-->

<!-- Layout for the Phone app's SimNetworkDepersonalizationPanel. -->
<RelativeLayout xmlns:android="http://schemas.android.com/apk/res/android"
        android:layout_width="fill_parent"
        android:layout_height="fill_parent"
        android:paddingLeft="20dip"
        android:paddingRight="20dip">
    
    <LinearLayout
            android:id="@+id/entry_panel"
            android:orientation="vertical"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true">

        <TextView
                android:textAppearance="?android:attr/textAppearanceMedium"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:text="@string/label_ndp"/>

        <EditText android:id="@+id/pin_entry"
                android:inputType="textPassword"
                android:imeOptions="actionDone"
                android:layout_marginTop="8dip"
                android:layout_width="fill_parent"
                android:layout_height="wrap_content"
                android:scrollHorizontally="true" />
            
        <Button android:id="@+id/ndp_unlock"
                android:layout_gravity="center_horizontal"
                android:text="@string/sim_ndp_unlock_text"
                android:layout_width="wrap_content"
                android:layout_height="wrap_content"
                android:paddingLeft="20dip"
                android:paddingRight="20dip"
                android:layout_centerHorizontal="true" />

    </LinearLayout>

    <LinearLayout android:id="@+id/status_panel"
            android:orientation="vertical"
            android:visibility="gone"
            android:layout_width="wrap_content"
            android:layout_height="wrap_content"
            android:layout_centerInParent="true"
            android:colorBackground="#80808080"
            android:panelColorBackground="#fff">

        <TextView android:id="@+id/status_text"
            android:textAppearance="?android:attr/textAppearanceMedium"
            android:textStyle="bold"
            android:layout_width="fill_parent"
            android:layout_height="wrap_content"
            android:colorBackground="#80808080"
            android:text="@string/requesting_unlock" />
    </LinearLayout>
    
</RelativeLayout>
